use domain::models::todo::{CreateTodo, Todo};

pub struct TodoPostgres {
    pub id: uuid::Uuid,
    pub title: String,
    pub description: String,
    pub completed: bool,
}

// Factory method for creating a new TodoPostgres from a Todo
impl From<Todo> for TodoPostgres {
    fn from(t: Todo) -> Self {
        TodoPostgres {
            id: t.id.id(),
            title: t.title,
            description: t.description,
            completed: t.completed,
        }
    }
}

pub struct CreateTodoPostgres {
    pub title: String,
    pub description: String,
}

// Factory method for creating a new Todo from a TodoPostgres
impl Into<Todo> for TodoPostgres {
    fn into(self) -> Todo {
        Todo {
            id: self.id.into(),
            title: self.title,
            description: self.description,
            completed: self.completed,
        }
    }
}

impl From<CreateTodo> for CreateTodoPostgres {
    fn from(t: CreateTodo) -> Self {
        CreateTodoPostgres {
            title: t.title,
            description: t.description,
        }
    }
}