use serde::{Deserialize, Serialize};

#[derive(Debug)]
pub enum RepositoryOperation {
    Create,
    GetOne,
    GetMany,
    Update,
    Delete
}

#[derive(Debug)]
pub enum RepositoryObject {
    Todo
}

#[derive(Debug)]
pub struct RepositoryError {
    pub operation: RepositoryOperation,
    pub object: RepositoryObject,
    pub message: String,
}

pub type RepositoryResult<T> = Result<T, RepositoryError>;

#[derive(Debug, Serialize, Deserialize, Clone, PartialEq, Eq)]
pub struct ResultPaging<T> {
    pub total: u64,
    pub items: Vec<T>,
}
