use crate::repositories::repository::RepositoryError;

#[derive(Debug)]
pub struct ServiceError {
    pub message: String,
}

pub type ServiceResult<T> = Result<T, ServiceError>;

impl std::fmt::Display for ServiceError {
    fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
        write!(f, "{}", self.message)
    }
}

impl Into<ServiceError> for RepositoryError {
    fn into(self) -> ServiceError {
        ServiceError {
            message: self.message
        }
    }
}